Skip to content

List Templates

GET
/api/creative/character-sheet-templates

List every sheet template (bundled + user) for the active project.

ruleset_ref
Any of:
string

Successful Response

SheetTemplateListResponse
object
success
Success
boolean
default: true
templates
Templates
Array<object>
SheetTemplateListEntry

Summary entry returned by GET /character-sheet-templates.

object
templateId
required
Templateid
string
name
required
Name
string
description
required
Description
string
rulesetRef
required
Rulesetref
string
orientation
required
Orientation
string
Allowed values: portrait landscape
isBundled
required
Isbundled
boolean
tags
Tags
Array<string>
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object